from itertools import chain


class WEATLists(object):
    W_1_Flowers = ['aster', 'clover', 'hyacinth', 'marigold', 'poppy', 'azalea', 'crocus', 'iris', 'orchid', 'rose', 'bluebell', 'daffodil', 'lilac', 'pansy', 'tulip', 'buttercup', 'daisy', 'lily', 'peony', 'violet', 'carnation', 'gladiola' ,'magnolia', 'petunia', 'zinnia']
    W_1_Insects = ['ant', 'caterpillar', 'flea', 'locust', 'spider', 'bedbug', 'centipede', 'fly', 'maggot', 'tarantula', 'bee', 'cockroach', 'gnat', 'mosquito', 'termite', 'beetle', 'cricket', 'hornet', 'moth', 'wasp', 'blackfly', 'dragonfly', 'horsefly', 'roach', 'weevil']
    W_1_Pleasant = ['caress', 'freedom', 'health', 'love', 'peace', 'cheer', 'friend', 'heaven', 'loyal', 'pleasure', 'diamond', 'gentle', 'honest', 'lucky', 'rainbow', 'diploma', 'gift', 'honor', 'miracle', 'sunrise', 'family', 'happy', 'laughter', 'paradise', 'vacation']
    W_1_Unpleasant = ['abuse', 'crash', 'filth', 'murder', 'sickness', 'accident', 'death', 'grief', 'poison', 'stink', 'assault', 'disaster', 'hatred', 'pollute', 'tragedy', 'divorce', 'jail', 'poverty', 'ugly', 'cancer', 'kill', 'rotten', 'vomit', 'agony', 'prison']

    W_2_Instruments = ['bagpipe', 'cello', 'guitar', 'lute', 'trombone', 'banjo', 'clarinet', 'harmonica', 'mandolin', 'trumpet', 'bassoon', 'drum', 'harp', 'oboe', 'tuba', 'bell', 'fiddle', 'harpsichord', 'piano', 'viola', 'bongo', 'flute', 'horn', 'saxophone', 'violin']
    W_2_Weapons = ['arrow', 'club', 'gun', 'missile', 'spear', 'axe', 'dagger', 'harpoon', 'pistol', 'sword', 'blade', 'dynamite', 'hatchet', 'rifle', 'tank', 'bomb', 'firearm', 'knife', 'shotgun', 'teargas', 'cannon', 'grenade', 'mace', 'slingshot', 'whip']
    W_2_Pleasant =  W_1_Pleasant
    W_2_Unpleasant = W_1_Unpleasant

    W_3_Unused_full_list_European_American_names = ['Adam', 'Chip', 'Harry', 'Josh', 'Roger', 'Alan', 'Frank', 'Ian', 'Justin', 'Ryan', 'Andrew', 'Fred', 'Jack', 'Matthew', 'Stephen', 'Brad', 'Greg', 'Jed', 'Paul', 'Todd', 'Brandon', 'Hank', 'Jonathan', 'Peter', 'Wilbur', 'Amanda', 'Courtney', 'Heather', 'Melanie', 'Sara', 'Amber', 'Crystal', 'Katie', 'Meredith', 'Shannon', 'Betsy', 'Donna', 'Kristin', 'Nancy', 'Stephanie', 'Bobbie-Sue', 'Ellen', 'Lauren', 'Peggy', 'Sue-Ellen', 'Colleen', 'Emily', 'Megan', 'Rachel', 'Wendy']
    W_3_European_American_names = ['Adam', 'Harry', 'Josh', 'Roger', 'Alan', 'Frank', 'Justin', 'Ryan', 'Andrew', 'Jack', 'Matthew', 'Stephen', 'Brad', 'Greg', 'Paul', 'Jonathan', 'Peter', 'Amanda', 'Courtney', 'Heather', 'Melanie', 'Katie', 'Betsy', 'Kristin', 'Nancy', 'Stephanie', 'Ellen', 'Lauren', 'Colleen', 'Emily', 'Megan', 'Rachel']
    W_3_Unused_full_list_African_American_names = ['Alonzo', 'Jamel', 'Lerone', 'Percell', 'Theo', 'Alphonse', 'Jerome', 'Leroy', 'Rasaan', 'Torrance', 'Darnell', 'Lamar', 'Lionel', 'Rashaun', 'Tyree', 'Deion', 'Lamont', 'Malik', 'Terrence', 'Tyrone', 'Everol', 'Lavon', 'Marcellus', 'Terryl', 'Wardell', 'Aiesha', 'Lashelle', 'Nichelle', 'Shereen', 'Temeka', 'Ebony', 'Latisha', 'Shaniqua', 'Tameisha', 'Teretha', 'Jasmine', 'Latonya', 'Shanise', 'Tanisha', 'Tia', 'Lakisha', 'Latoya', 'Sharise', 'Tashika', 'Yolanda', 'Lashandra', 'Malika', 'Shavonn', 'Tawanda', 'Yvette']
    W_3_African_American_names = ['Alonzo', 'Jamel', 'Theo', 'Alphonse', 'Jerome', 'Leroy', 'Torrance', 'Darnell', 'Lamar', 'Lionel', 'Tyree', 'Deion', 'Lamont', 'Malik', 'Terrence', 'Tyrone', 'Lavon', 'Marcellus', 'Wardell', 'Nichelle', 'Shereen', 'Ebony', 'Latisha', 'Shaniqua', 'Jasmine', 'Tanisha', 'Tia', 'Lakisha', 'Latoya', 'Yolanda', 'Malika', 'Yvette']
    W_3_Pleasant = ['caress', 'freedom', 'health', 'love', 'peace', 'cheer', 'friend', 'heaven', 'loyal', 'pleasure', 'diamond', 'gentle', 'honest', 'lucky', 'rainbow', 'diploma', 'gift', 'honor', 'miracle', 'sunrise', 'family', 'happy', 'laughter', 'paradise', 'vacation']
    W_3_Unpleasant = ['abuse', 'crash', 'filth', 'murder', 'sickness', 'accident', 'death', 'grief', 'poison', 'stink', 'assault', 'disaster', 'hatred', 'pollute', 'tragedy', 'bomb', 'divorce', 'jail', 'poverty', 'ugly', 'cancer', 'evil', 'kill', 'rotten', 'vomit']

    W_4_Unused_full_list_European_American_names = ['Brad', 'Brendan', 'Geoffrey', 'Greg', 'Brett', 'Jay', 'Matthew', 'Neil', 'Todd', 'Allison', 'Anne', 'Carrie', 'Emily', 'Jill', 'Laurie', 'Kristen', 'Meredith', 'Sarah']
    W_4_European_American_names = ['Brad', 'Brendan', 'Geoffrey', 'Greg', 'Brett', 'Matthew', 'Neil', 'Todd', 'Allison', 'Anne', 'Carrie', 'Emily', 'Jill', 'Laurie', 'Meredith', 'Sarah']
    W_4_Unused_full_list_African_American_names = ['Darnell', 'Hakim', 'Jermaine', 'Kareem', 'Jamal', 'Leroy', 'Rasheed', 'Tremayne', 'Tyrone', 'Aisha', 'Ebony', 'Keisha', 'Kenya', 'Latonya', 'Lakisha', 'Latoya', 'Tamika', 'Tanisha']
    W_4_African_American_names = ['Darnell', 'Hakim', 'Jermaine', 'Kareem', 'Jamal', 'Leroy', 'Rasheed', 'Tyrone', 'Aisha', 'Ebony', 'Keisha', 'Kenya', 'Lakisha', 'Latoya', 'Tamika', 'Tanisha']
    W_4_Pleasant = ['caress', 'freedom', 'health', 'love', 'peace', 'cheer', 'friend', 'heaven', 'loyal', 'pleasure', 'diamond', 'gentle', 'honest', 'lucky', 'rainbow', 'diploma', 'gift', 'honor', 'miracle', 'sunrise', 'family', 'happy', 'laughter', 'paradise', 'vacation']
    W_4_Unpleasant = ['abuse', 'crash', 'filth', 'murder', 'sickness', 'accident', 'death', 'grief', 'poison', 'stink', 'assault', 'disaster', 'hatred', 'pollute', 'tragedy', 'bomb', 'divorce', 'jail', 'poverty', 'ugly', 'cancer', 'evil', 'kill', 'rotten', 'vomit']

    W_5_Unused_full_list_European_American_names = ['Brad', 'Brendan', 'Geoffrey', 'Greg', 'Brett', 'Jay', 'Matthew', 'Neil', 'Todd', 'Allison', 'Anne', 'Carrie', 'Emily', 'Jill', 'Laurie', 'Kristen', 'Meredith', 'Sarah']
    W_5_European_American_names = ['Brad', 'Brendan', 'Geoffrey', 'Greg', 'Brett', 'Matthew', 'Neil', 'Todd', 'Allison', 'Anne', 'Carrie', 'Emily', 'Jill', 'Laurie', 'Meredith', 'Sarah']
    W_5_Unused_full_list_African_American_names = ['Darnell', 'Hakim', 'Jermaine', 'Kareem', 'Jamal', 'Leroy', 'Rasheed', 'Tremayne', 'Tyrone', 'Aisha', 'Ebony', 'Keisha', 'Kenya', 'Latonya', 'Lakisha', 'Latoya', 'Tamika', 'Tanisha']
    W_5_African_American_names = ['Darnell', 'Hakim', 'Jermaine', 'Kareem', 'Jamal', 'Leroy', 'Rasheed', 'Tyrone', 'Aisha', 'Ebony', 'Keisha', 'Kenya', 'Lakisha', 'Latoya', 'Tamika', 'Tanisha']
    W_5_Pleasant = ['joy', 'love', 'peace', 'wonderful', 'pleasure', 'friend', 'laughter', 'happy']
    W_5_Unpleasant = ['agony', 'terrible', 'horrible', 'nasty', 'evil', 'war', 'awful', 'failure']

    W_6_Male_names = ['John', 'Paul', 'Mike', 'Kevin', 'Steve', 'Greg', 'Jeff', 'Bill']
    W_6_Female_names = ['Amy', 'Joan', 'Lisa', 'Sarah', 'Diana', 'Kate', 'Ann', 'Donna']
    W_6_Career = ['executive', 'management', 'professional', 'corporation', 'salary', 'office', 'business', 'career']
    W_6_Family = ['home', 'parents', 'children', 'family', 'cousins', 'marriage', 'wedding', 'relatives']

    W_7_Math = ['math', 'algebra', 'geometry', 'calculus', 'equations', 'computation', 'numbers', 'addition']
    W_7_Arts = ['poetry', 'art', 'dance', 'literature', 'novel', 'symphony', 'drama', 'sculpture']
    W_7_Male_terms = ['male', 'man', 'boy', 'brother', 'he', 'him', 'his', 'son']
    W_7_Female_terms = ['female', 'woman', 'girl', 'sister', 'she', 'her', 'hers', 'daughter']

    W_8_Science = ['science', 'technology', 'physics', 'chemistry', 'Einstein', 'NASA', 'experiment', 'astronomy']
    W_8_Arts = ['poetry', 'art', 'Shakespeare', 'dance', 'literature', 'novel', 'symphony', 'drama']
    W_8_Male_terms = ['brother', 'father', 'uncle', 'grandfather', 'son', 'he', 'his', 'him']
    W_8_Female_terms = ['sister', 'mother', 'aunt', 'grandmother', 'daughter', 'she', 'hers', 'her']

    W_9_Mental_disease = ['sad', 'hopeless', 'gloomy', 'tearful', 'miserable', 'depressed']
    W_9_Physical_disease = ['sick', 'illness', 'influenza', 'disease', 'virus', 'cancer']
    W_9_Temporary = ['impermanent', 'unstable', 'variable', 'fleeting', 'short-term', 'brief', 'occasional']
    W_9_Permanent = ['stable', 'always', 'constant', 'persistent', 'chronic', 'prolonged', 'forever']

    W_10_Young_peoples_names = ['Tiffany', 'Michelle', 'Cindy', 'Kristy', 'Brad', 'Eric', 'Joey', 'Billy']
    W_10_Old_peoples_names = ['Ethel', 'Bernice', 'Gertrude', 'Agnes', 'Cecil', 'Wilbert', 'Mortimer', 'Edgar']
    W_10_Pleasant = ['joy', 'love', 'peace', 'wonderful', 'pleasure', 'friend', 'laughter', 'happy']
    W_10_Unpleasant = ['agony', 'terrible', 'horrible', 'nasty', 'evil', 'war', 'awful', 'failure']

    WEFAT_1_Careers = ['technician', 'accountant', 'supervisor', 'engineer', 'worker', 'educator', 'clerk', 'counselor', 'inspector', 'mechanic', 'manager', 'therapist', 'administrator', 'salesperson', 'receptionist', 'librarian', 'advisor', 'pharmacist', 'janitor', 'psychologist', 'physician', 'carpenter', 'nurse', 'investigator', 'bartender', 'specialist', 'electrician', 'officer', 'pathologist', 'teacher', 'lawyer', 'planner', 'practitioner', 'plumber', 'instructor', 'surgeon', 'veterinarian', 'paramedic', 'examiner', 'chemist', 'machinist', 'appraiser', 'nutritionist', 'architect', 'hairdresser', 'baker', 'programmer', 'paralegal', 'hygienist', 'scientist']
    WEFAT_1_Female_attributes = W_7_Female_terms # ['female', 'woman', 'girl', 'sister', 'she', 'her', 'hers', 'daughter']
    WEFAT_1_Male_attributes = W_7_Male_terms # ['male', 'man', 'boy', 'brother', 'he', 'him', 'his', 'son']

    WEFAT_2_Androgynous_Names = ['Kelly', 'Tracy', 'Jamie', 'Jackie', 'Jesse', 'Courtney', 'Lynn', 'Taylor', 'Leslie', 'Shannon', 'Stacey', 'Jessie', 'Shawn', 'Stacy', 'Casey', 'Bobby', 'Terry', 'Lee', 'Ashley', 'Eddie', 'Chris', 'Jody', 'Pat', 'Carey', 'Willie', 'Morgan', 'Robbie', 'Joan', 'Alexis', 'Kris', 'Frankie', 'Bobbie', 'Dale', 'Robin', 'Billie', 'Adrian', 'Kim', 'Jaime', 'Jean', 'Francis', 'Marion', 'Dana', 'Rene', 'Johnnie', 'Jordan', 'Carmen', 'Ollie', 'Dominique', 'Jimmie', 'Shelby']
    WEFAT_2_Female_attributes = WEFAT_1_Female_attributes
    WEFAT_2_Male_attributes = WEFAT_1_Male_attributes

    INDEX = [
        "Flower, Insect vs Pleasant, Unpleasant",
        "Instruments, Weapons vs Pleasant, Unpleasant",
        "European Ameircan names, African American names vs Pleasant Unpleasant 1",
        "European Ameircan names, African American names vs Pleasant Unpleasant 2",
        "European Ameircan names, African American names vs Pleasant Unpleasant 3",
        "Male Names, Female Names vs Careers, Family",
        "Math, Arts vs Male Terms, Female Terms",
        "Science, Arts vs Male Terms, Female Terms",
        "Mental Disease, Physical Disease vs Temporary , Permanent",
        "Young peoples names, Old peoples names vs Pleasant Unpleasant 1"
    ]
    TEST_LIST = [
        [
            W_1_Flowers,
            W_1_Insects,
            W_1_Pleasant,
            W_1_Unpleasant
        ],
        [
            W_2_Instruments,
            W_2_Weapons,
            W_2_Pleasant,
            W_2_Unpleasant
        ],
        [
            W_3_European_American_names,
            W_3_African_American_names,
            W_3_Pleasant,
            W_3_Unpleasant
        ],
        [
            W_4_European_American_names,
            W_4_African_American_names,
            W_4_Pleasant,
            W_4_Unpleasant
        ],
        [
            W_5_European_American_names,
            W_5_African_American_names,
            W_5_Pleasant,
            W_5_Unpleasant
        ],
        [
            W_6_Male_names,
            W_6_Female_names,
            W_6_Career,
            W_6_Family
        ],
        [
            W_7_Math,
            W_7_Arts,
            W_7_Male_terms,
            W_7_Female_terms
        ],
        [
            W_8_Science,
            W_8_Arts,
            W_8_Male_terms,
            W_8_Female_terms
        ],
        [
            W_9_Mental_disease,
            W_9_Physical_disease,
            W_9_Temporary,
            W_9_Permanent
        ],
        [
            W_10_Young_peoples_names,
            W_10_Old_peoples_names,
            W_10_Pleasant,
            W_10_Unpleasant
        ],
    ]

    weat_vocab = list(chain(*list(chain(*TEST_LIST))))

# WEFAT_1_Careers
# WEFAT_1_Female_attributes
# WEFAT_1_Male_attributes
#
# WEFAT_2_Androgynous_Names
# WEFAT_2_Female_attributes
# WEFAT_2_Male_attributes
